//+------------------------------------------------------------------+
//|                                                     The7_mod.mq4 |
//|                        Copyright 2013, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright 2013, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

double vHourStart=0;

int flag=0;

double vHigh1;
double vLow1;
double vOpen1;
double vClose1;

double vParabolic_SAR;
double vMA5_Low;
double vMA5_High;

double vlot;
double vbalance;
extern double vstep=100;
extern double vlotmin=0.01;
double vklot;

double price;
double stoploss;
double takeprofit;

string com="The7_mod";

int ticketBUY;
int ticketSELL;

int start()
  {
//----
if (Hour()==vHourStart && flag==0)
{

vbalance=AccountBalance( );
vklot=vbalance/vstep;
vlot=vlotmin*vklot;

vHigh1=iHigh(NULL,PERIOD_D1,1);
vLow1=iLow(NULL,PERIOD_D1,1);
vOpen1=iOpen(NULL,PERIOD_D1,1);
vClose1=iClose(NULL,PERIOD_D1,1);

vParabolic_SAR=iSAR(NULL,PERIOD_D1,0.02,0.2,1);
vMA5_Low=iMA(NULL,PERIOD_D1,5,0,MODE_EMA,PRICE_LOW,1);
vMA5_High=iMA(NULL,PERIOD_D1,5,0,MODE_EMA,PRICE_HIGH,1);

if (vOpen1 < vClose1 && vOpen1 < vMA5_Low && vClose1 < vMA5_High && vClose1 > vMA5_Low && vClose1 < vParabolic_SAR  && vHigh1<vMA5_High)
{
price=Ask;
stoploss=vLow1;
takeprofit=vParabolic_SAR;
ticketBUY=OrderSend(Symbol(),OP_BUY,vlot,price,3,stoploss,takeprofit,com);
}

if (vOpen1 > vClose1 && vOpen1 > vMA5_High && vClose1 > vMA5_Low && vClose1 < vMA5_High && vClose1 > vParabolic_SAR  && vLow1>vMA5_Low)
{
price=Bid;
stoploss=vHigh1;
takeprofit=vParabolic_SAR;
ticketSELL=OrderSend(Symbol(),OP_SELL,vlot,price,3,stoploss,takeprofit,com,16384,0,Green);
}

flag=1;
}

if (Hour()>vHourStart) flag=0;
//----
   return(0);
  }
//+------------------------------------------------------------------+